Skip to main content

Calendar Event Types

Tags: configuration, events, scheduling

Calendar event type definitions

Resources

Request and response models used by the endpoints on this page.

CreateEventTypeRequest

FieldTypeRequiredDescription
activeBooleanDefault: True
bufferAfterMinutesIntegerDefault: 0
bufferBeforeMinutesIntegerDefault: 0
colorString
defaultDurationMinutesInteger
descriptionString
eventRulesArray
maxAttendeesInteger
minAttendeesIntegerDefault: 1
nameString
slugString

Example:

{
"name": "string" // String,
"slug": "string" // String, optional,
"description": "string" // String, optional,
"defaultDurationMinutes": 0 // Integer,
"bufferBeforeMinutes": 0 // Integer, optional, default: 0,
"bufferAfterMinutes": 0 // Integer, optional, default: 0,
"minAttendees": 0 // Integer, optional, default: 1,
"maxAttendees": 0 // Integer, optional,
"color": "string" // String, optional,
"active": false // Boolean, optional, default: True,
"eventRules": [] // Array<EventRuleData>, optional
}

EventTypeResponse

FieldTypeRequiredDescription
activeBoolean
bufferAfterMinutesInteger
bufferBeforeMinutesInteger
colorString
createdAtDateTime
defaultDurationMinutesInteger
descriptionString
idInteger
maxAttendeesInteger
minAttendeesInteger
nameString
slugString
templateUuidString
updatedAtDateTime
uuidString

Example:

{
"id": 0 // Integer,
"uuid": "string" // String,
"templateUuid": "string" // String,
"name": "string" // String,
"slug": "string" // String,
"description": "string" // String,
"defaultDurationMinutes": 0 // Integer,
"bufferBeforeMinutes": 0 // Integer,
"bufferAfterMinutes": 0 // Integer,
"minAttendees": 0 // Integer,
"maxAttendees": 0 // Integer,
"color": "string" // String,
"active": false // Boolean,
"createdAt": "2024-01-01T00:00:00Z" // DateTime,
"updatedAt": "2024-01-01T00:00:00Z" // DateTime
}

UpdateEventTypeRequest

FieldTypeRequiredDescription
activeBoolean
bufferAfterMinutesInteger
bufferBeforeMinutesInteger
colorString
defaultDurationMinutesInteger
descriptionString
eventRulesArray
maxAttendeesInteger
minAttendeesInteger
nameString
slugString

Example:

{
"name": "string" // String, optional,
"slug": "string" // String, optional,
"description": "string" // String, optional,
"defaultDurationMinutes": 0 // Integer, optional,
"bufferBeforeMinutes": 0 // Integer, optional,
"bufferAfterMinutes": 0 // Integer, optional,
"minAttendees": 0 // Integer, optional,
"maxAttendees": 0 // Integer, optional,
"color": "string" // String, optional,
"active": false // Boolean, optional,
"eventRules": [] // Array<EventRuleData>, optional
}

Endpoints

List

GET /api/v2/w/{workspace_uuid}/calendar-event-types

Description:

List all calendar event types.

Authorization: Requires calendars:read scope

Parameters:

  • page (Integer)
  • pageSize (Integer)
  • active_only (Boolean)

Response: See PaginatedResponse[EventTypeResponse]


Create

POST /api/v2/w/{workspace_uuid}/calendar-event-types

Description:

Create a new calendar event type.

Authorization: Requires calendars:write scope

Parameters:

Response: See EventTypeResponse


Delete Event Type Id

DELETE /api/v2/w/{workspace_uuid}/calendar-event-types/{event_type_id}

Description:

Delete a calendar event type.

Note: This will fail if there are existing events using this type. Consider deactivating instead by setting active=false.

Authorization: Requires calendars:admin scope

Parameters:

  • event_type_id (Integer)

Get Event Type Id

GET /api/v2/w/{workspace_uuid}/calendar-event-types/{event_type_id}

Description:

Get a specific event type by ID.

Authorization: Requires calendars:read scope

Parameters:

  • event_type_id (Integer)

Response: See EventTypeResponse


Update Event Type Id

PUT /api/v2/w/{workspace_uuid}/calendar-event-types/{event_type_id}

Description:

Update an existing calendar event type.

Authorization: Requires calendars:write scope

Parameters:

Response: See EventTypeResponse